# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/crypto/ti,am62l-dthev2.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: K3 SoC DTHE V2 crypto module

maintainers:
  - T Pratham <t-pratham@ti.com>

properties:
  compatible:
    enum:
      - ti,am62l-dthev2

  reg:
    maxItems: 1

  dmas:
    items:
      - description: AES Engine RX DMA Channel
      - description: AES Engine TX DMA Channel
      - description: SHA Engine TX DMA Channel

  dma-names:
    items:
      - const: rx
      - const: tx1
      - const: tx2

required:
  - compatible
  - reg
  - dmas
  - dma-names

additionalProperties: false

examples:
  - |
    crypto@40800000 {
        compatible = "ti,am62l-dthev2";
        reg = <0x40800000 0x10000>;

        dmas = <&main_bcdma 0 0 0x4700 0>,
               <&main_bcdma 0 0 0xc701 0>,
               <&main_bcdma 0 0 0xc700 0>;
        dma-names = "rx", "tx1", "tx2";
    };
